#ifndef EDITSCENE_ITEM_EDITOR_HPP
#define EDITSCENE_ITEM_EDITOR_HPP
#pragma once

#include "ComponentEditor.hpp"
#include "../components/Item.hpp"

class ItemEditor : public ComponentEditor<ItemComponent> {
public:
	const char *getName() const override
	{
		return "Item";
	}

protected:
	bool renderComponent(flecs::entity entity,
			     ItemComponent &item) override;
};

#endif // EDITSCENE_ITEM_EDITOR_HPP
